package com.yihu.jw.entity.iot.equipment;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import com.yihu.jw.entity.util.StringFStringEncryptConverter;

import javax.persistence.Column;
import javax.persistence.Convert;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "iot_equipmet_detail")
public class IotEquipmentDetailDO extends UuidIdentityEntityWithOperator {
    /*
     *设备名称
     */
    @Column(name = "device_name")
    private String deviceName;
    /*
     *设备型号
     */
    @Column(name = "device_model")
    private String deviceModel;
    /*
     *设备编码
     */
    @Column(name = "device_code")
    private String deviceCode;
    /*
     *品牌
     */
    @Column(name = "manufacturer_code")
    private String manufacturerCode;
    /*
     *厂商名称
     */
    @Column(name = "manufacturer")
    private String manufacturer;
    /*
     *厂商地址
     */
    @Column(name = "address")
    private String address;
    /*
     *代表人
     */
    @Column(name = "representative")
    private String representative;
    /*
     *申请人
     */
    @Column(name = "applicant_name")
    private String applicantName;

    /*
     *申请人电话
     */
    @Column(name = "applicant_tel")
    private String applicantTel;
    /*
     *'所属居委会编码
     */
    @Column(name = "neighborhood_committee_code")
    private String neighborhoodCommitteeCode;
    /*
     *所属居委会名称
     */
    @Column(name = "neighborhood_committee_name")
    private String neighborhoodCommitteeName;
    /*
     *地址
     */
    @Column(name = "local_add")
    private String localAdd;
    /*
     *所属区域code
     */
    @Column(name = "belong_are_code")
    private String belongAreCode;
    /*
     *所属区域
     */
    @Column(name = "belong_are")
    private String belongAre;
    /*
     *经度
     */
    @Column(name = "longitude")
    private String longitude;
    /*
     *纬度
     */
    @Column(name = "latitude")
    private String latitude;


    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceModel() {
        return deviceModel;
    }

    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getManufacturerCode() {
        return manufacturerCode;
    }

    public void setManufacturerCode(String manufacturerCode) {
        this.manufacturerCode = manufacturerCode;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Convert(converter = StringFStringEncryptConverter.class)
    public String getRepresentative() {
        return representative;
    }

    public void setRepresentative(String representative) {
        this.representative = representative;
    }

    @Convert(converter = StringFStringEncryptConverter.class)
    public String getApplicantName() {
        return applicantName;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    @Convert(converter = StringFStringEncryptConverter.class)
    public String getApplicantTel() {
        return applicantTel;
    }

    public void setApplicantTel(String applicantTel) {
        this.applicantTel = applicantTel;
    }

    public String getNeighborhoodCommitteeCode() {
        return neighborhoodCommitteeCode;
    }

    public void setNeighborhoodCommitteeCode(String neighborhoodCommitteeCode) {
        this.neighborhoodCommitteeCode = neighborhoodCommitteeCode;
    }

    public String getNeighborhoodCommitteeName() {
        return neighborhoodCommitteeName;
    }

    public void setNeighborhoodCommitteeName(String neighborhoodCommitteeName) {
        this.neighborhoodCommitteeName = neighborhoodCommitteeName;
    }

    public String getLocalAdd() {
        return localAdd;
    }

    public void setLocalAdd(String localAdd) {
        this.localAdd = localAdd;
    }

    public String getBelongAre() {
        return belongAre;
    }

    public void setBelongAre(String belongAre) {
        this.belongAre = belongAre;
    }


    public String getBelongAreCode() {
        return belongAreCode;
    }

    public void setBelongAreCode(String belongAreCode) {
        this.belongAreCode = belongAreCode;
    }
}
